Run Data For Visualisation
curl --request POST \
--url https://api.example.com/dashboards/data-sources/run-query/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"visualisation": {
"uid": "<string>",
"title": "<string>",
"grid_layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"data_source_uid": "<string>",
"config": {
"columns": [
"<string>"
],
"type": "STANDARD_TABLE"
}
},
"data_source": {
"uid": "<string>",
"query": "<string>",
"filters": [
{
"uid": "<string>",
"column": "<string>",
"filter_condition": {
"value": "<string>",
"is_negated": false
}
}
]
},
"embedding_search": {
"search_term": "<string>",
"keyword_column": "",
"top_k": 1000
}
}
'import requests
url = "https://api.example.com/dashboards/data-sources/run-query/"
payload = {
"visualisation": {
"uid": "<string>",
"title": "<string>",
"grid_layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"data_source_uid": "<string>",
"config": {
"columns": ["<string>"],
"type": "STANDARD_TABLE"
}
},
"data_source": {
"uid": "<string>",
"query": "<string>",
"filters": [
{
"uid": "<string>",
"column": "<string>",
"filter_condition": {
"value": "<string>",
"is_negated": False
}
}
]
},
"embedding_search": {
"search_term": "<string>",
"keyword_column": "",
"top_k": 1000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
visualisation: {
uid: '<string>',
title: '<string>',
grid_layout: {x: 123, y: 123, w: 123, h: 123},
data_source_uid: '<string>',
config: {columns: ['<string>'], type: 'STANDARD_TABLE'}
},
data_source: {
uid: '<string>',
query: '<string>',
filters: [
{
uid: '<string>',
column: '<string>',
filter_condition: {value: '<string>', is_negated: false}
}
]
},
embedding_search: {search_term: '<string>', keyword_column: '', top_k: 1000}
})
};
fetch('https://api.example.com/dashboards/data-sources/run-query/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}dashboards
Run Data For Visualisation
POST
/
dashboards
/
data-sources
/
run-query
/
Run Data For Visualisation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
⌘I